image: registry.gitlab.com/burgerman/espresso-for-geeks/fedora

stages:
  - setup
  - build

build:
  stage: build
  artifacts:
    name: "espresso-for-geeks-$CI_COMMIT_REF_NAME"
    paths:
      - BUILD/espresso-for-geeks.bin
  script:
    - make

build-docker:
  stage: setup
  image: docker:stable
  variables:
    DOCKER_HOST: tcp://docker:2375/
    DOCKER_DRIVER: overlay2
  services:
    - docker:dind
  when: manual
  script:
    - docker info
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/burgerman/espresso-for-geeks/fedora .
    - docker push registry.gitlab.com/burgerman/espresso-for-geeks/fedora
